%define version  1.95
%define release  %mkrel 0.%revision.1
%define revision 766860
%define oname    k3b

Name:		 kde4-k3b
Version:	 %{version}
Release:	 %{release}
License:	 GPLv2+
Url:	         http://www.k3b.org/	
Group:		 Archiving/Cd burning
Source0:	 http://jaist.dl.sourceforge.net/sourceforge/k3b/%{oname}-%version.%revision.tar.bz2
Patch0:          k3b-1.95-fix-cmake.patch
Summary:         CD-Burner for KDE4
BuildRequires:   kdelibs4-devel
BuildRequires:   kdemultimedia4-devel
BuildRequires:   libdvdread-devel
BuildRequires:   libogg-devel
BuildRequires:   libvorbis-devel
BuildRequires:   libflac++-devel
BuildRequires:   libflac-devel
BuildRequires:   ffmpeg-devel
BuildRequires:   mad-devel
BuildRequires:   libmpcdec-devel
BuildRequires:   sndfile-devel
Requires:        cdrecord
Requires:        mkisofs
Requires:        cdrdao
Requires:        sox
Requires:        vcdimager
Requires:        normalize

%description
K3b is CD-writing software which intends to be feature-rich and
provide an easily usable interface. Features include burning
audio CDs from .WAV and .MP3 audio files, configuring external
programs and configuring devices.

%post
%{update_desktop_database}
%update_icon_cache hicolor

%postun
%{clean_desktop_database}
%clean_icon_cache hicolor

%files
%defattr(-,root,root)
%_kde_bindir/k3b
%_kde_bindir/k3bsetup
%_kde_libdir/kde4/kcm_k3bsetup2.so
%_kde_libdir/kde4/kcm_k3bexternalencoder.so
%_kde_libdir/kde4/kcm_k3boggvorbisencoder.so
%_kde_libdir/kde4/kio_videodvd.so
%_kde_libdir/kde4/k3bexternalencoder.so
%_kde_libdir/kde4/k3bffmpegdecoder.so
%_kde_libdir/kde4/k3bmaddecoder.so
%_kde_libdir/kde4/k3boggvorbisdecoder.so
%_kde_libdir/kde4/k3boggvorbisencoder.so
%_kde_libdir/kde4/k3bsoxencoder.so
%_kde_libdir/kde4/k3bwavedecoder.so
%_kde_libdir/kde4/k3bmpcdecoder.so
%_kde_libdir/kde4/k3blibsndfiledecoder.so
%_kde_datadir/applications/kde4/k3b.desktop
%_kde_libdir/kde4/k3bmpcdecoder.desktop
%dir %_kde_appsdir/k3b
%dir %_kde_appsdir/k3b/cdi
%_kde_appsdir/k3b/cdi/cdi_imag.rtf
%_kde_appsdir/k3b/cdi/cdi_text.fnt
%_kde_appsdir/k3b/cdi/cdi_vcd.app
%_kde_appsdir/k3b/cdi/cdi_vcd.cfg
%_kde_appsdir/k3b/cdi/icdia.htm
%_kde_appsdir/k3b/cdi/vcd_on_cdi_41.pdf
%dir %_kde_appsdir/k3b/extra
%_kde_appsdir/k3b/extra/*.mpg
%_kde_appsdir/k3b/icons
%_kde_appsdir/k3b/k3b.notifyrc
%_kde_appsdir/k3b/k3bui.rc
%_kde_appsdir/k3b/pics
%dir %_kde_appsdir/k3b/servicemenus
%_kde_appsdir/k3b/servicemenus/*.desktop
%_kde_appsdir/k3b/tips
%_kde_appsdir/konqsidebartng/virtual_folders/services/videodvd.desktop
%_kde_iconsdir/hicolor/*/apps/k3b.png
%_kde_datadir/kde4/services/ServiceMenus/*.desktop
%_kde_datadir/kde4/services/*.desktop
%_kde_datadir/kde4/servicetypes/k3bplugin.desktop
%_kde_datadir/kde4/services/videodvd.protocol
%dir %_kde_datadir/sounds
%_kde_datadir/sounds/*.wav

#------------------------------------------------

%define libk3b %mklibname k3b 4

%package -n %libk3b
Summary: KDE 4 core library
Group: System/Libraries


%description -n %libk3b
KDE 4 core library.

%post -n %libk3b -p /sbin/ldconfig
%postun -n %libk3b -p /sbin/ldconfig

%files -n %libk3b
%defattr(-,root,root)
%_kde_libdir/libk3b.so.*

#------------------------------------------------

%define libk3bdevice %mklibname k3bdevice 6

%package -n %libk3bdevice
Summary: KDE 4 core library
Group: System/Libraries


%description -n %libk3bdevice
KDE 4 core library.

%post -n %libk3bdevice -p /sbin/ldconfig
%postun -n %libk3bdevice -p /sbin/ldconfig

%files -n %libk3bdevice
%defattr(-,root,root)
%_kde_libdir/libk3bdevice.so.*


#------------------------------------------------


%package devel
Group: Development/KDE and Qt
Summary: Development libraries from %name
Requires: %libk3bdevice = %version-%release
Requires: %libk3b = %version-%release

%description devel
Development libraries from %name

%files devel
%defattr(-,root,root,-)
%_kde_includedir/*.h
%_kde_libdir/libk3b.so
%_kde_libdir/libk3bdevice.so
#------------------------------------------------

%prep
%setup -q -n %oname-%version
#%patch0 -p0
%build
%cmake_kde4 
%make

%install
cd build
rm -rf %buildroot
%{makeinstall_std}


%clean
rm -rf %buildroot


%changelog
* Sun Jan 27 2008 Nicolas Lécureuil <neoclust@mandriva.org> 1.95-0.766860.1mdv2008.1
+ Revision: 158915
- Fix BuildRequires
- New svn snapshot
- New snapshot
  Remove kdemultimedia ( would need new kde4 snapshot)

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Thu Dec 13 2007 Nicolas Lécureuil <neoclust@mandriva.org> 1.95-0.745201.1mdv2008.1
+ Revision: 119150
- Fix BuildRequires
- import kde4-k3b


